# Inets Release Notes

## Inets 2.6.5

### Fixed errors and malfunctions

-

### Improvements and new features

- When opening the disk log (mod_disk_log), an open attempt is made without a size option. If the file exist, then it is opened. If the file does not exist, then another attempt is made, this time with the size option.
  Own Id: OTP-4281

  Aux Id: Seq 7312

## Inets 2.6.4

### Fixed errors and malfunctions

- Function reading http body returns a deep list. This error was introduce as of inets-2.6.0.
  Own Id: OTP-4241

  Aux Id: Seq 7263

- Request timeout calculation incorrect.
  Own Id: OTP-4243

### Improvements and new features

-

## Inets 2.6.3

### Fixed errors and malfunctions

- Listener process dies with reason normal when listen socket closes unexpectedly.
  If the listener process dies with reason normal, the manager will now open a new listen socket if needed and create a new listener.
  Own Id: OTP-4233

  Aux Id: Seq 7225

- Changing of disk log format failes. Restart of webserver after change of disk log format (DiskLogFormat) fails with arg_mismatch.
  See OTP-4210.

  Own Id: OTP-4231

  Aux Id: Seq 7244

- Incorrectly formated disk log entries.
  term_to_binary was (incorrectly) used for the external format.
  See OTP-4210.

  Own Id: OTP-4228

  Aux Id: Seq 7239

### Improvements and new features

-

## Inets 2.6.2

### Fixed errors and malfunctions

- Request with a body does not work.
  Own Id: OTP-4211

  Aux Id: Seq 7216

- Added a new configuration directive LogFileFormat, that alter the file-format of the log files.
  Own Id: OTP-4210

  Aux Id: Seq 7161

- Calculation of content length incorrect.
  Own Id: OTP-4207

  Aux Id: Seq 7209

### Improvements and new features

-

## Inets 2.6.1

### Fixed errors and malfunctions

- mod_disk_log returns an error reason that reflects the error. When disk_log not can open a log file.
  Own Id: OTP-4195

- Request headers now read a chunk at a time (see the {active,once} inet option) for socket type ip_comm.
  Own Id: OTP-4159

### Improvements and new features

- Improved supervision of free-flying auth- and security server(s).

## Inets 2.6.0

### Fixed errors and malfunctions

- Trailing data sent to a webserver from a client is now ignored.
  (Own Id: OTP-3940)
  (Aux Id: Seq 5201)

- Only one ErlScriptAlias is actually used (the first).
  (Own Id: OTP-3974)

- Fixed a bug in `mod_auth:load/2`.
  (Own Id: OTP-3975)
  (Aux Id: Seq 5249)

- `httpd_listener` exited when a call to `ssl:accept` returned `{error,esslaccept}`.
  (Own Id: OTP-4029)
  (Aux Id: Seq 7030)

- Made a correction to the example configuration file `ssl.conf` by removing mod_auth_mnesia from the Modules directive.
  (Own Id: OTP-4051)
  (Aux Id: Seq 7049)

- Fixed bad return value from `mod_auth:add_user/2` when Mnesia is used.
  (Own Id: OTP-4052)
  (Aux Id: Seq 7049)

- Fixed a bug in `mod_auth_plain:delete_user/2`.
  (Own Id: OTP-4068)

- The configuration parameter AuthAccessPassword should now work.
  (Own Id: OTP-4069)
  (Aux Id: Seq 7049)

- httpd crashed when given the start address *.
  (Own Id: OTP-4138)

### Improvements and new features

- Added limited user support for user configurable access restriction (.htaccess).
  (Own Id: OTP-2981)

- Introduced ability to block/unblock the webserver.
  (Own Id: OTP-3624)

- Added support for the account command to ftp.
  (Own Id: OTP-3752)

- Added support for the append command to ftp.
  (Own Id: OTP-3753)

- Re-introduced the abillity to restart the webserver (uses block/unblock).
  (Own Id: OTP-3794)
  (Aux Id: Seq 5020)

- Socket mode changed from active to passive.
  (Own Id: OTP-4001)

- Added the possibility to set a timeout in `ftp:open/1`.
  (Own Id: OTP-4062)

## Inets 2.5.6

### Improvements and new features

- Improved handling of DOS attacks. The following configuration directives have been added to improve the handling of DOS attacks by malformed GET requests:
  -MaxHeaderSize
  -MaxHeaderAction
  -MaxBodySize
  -MaxBodyAction
  (Own Id: OTP-3640)
  (Aux Id: Seq 4607, Seq 5077)

- Added some (SSL related) configuration directives. See documentation for further information.
  -SSLCACertificateFile
  -SSLCiphers
  -SSLPasswordCallbackModule
  -SSLVerifyClient
  (Own Id: OTP-3873)
  (Aux Id: Seq 5088)

## Inets 2.5.5

### Fixed errors and malfunctions

- Invalid guard in function `ftp:open/2`.
  This problem exists only in Inets 2.5.4. Use `ftp:open/3` instead.
  (Own Id: OTP-3892)
  (Aux Id: Seq 4958)

### Improvements and new features

- Better handling of invalid server response (e.g. as a result of an erroneous server config).

There are also release notes for older versions.